module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={
			args={
				action_name=[[runWar]],
				action_time=0.49,
				end_frame=19,
				excutor=[[atkobj]],
				start_frame=0,
			},
			func_name=[[PlayAction]],
			start_time=0,
		},
		[2]={
			args={
				begin_type=[[current]],
				calc_face=true,
				ease_type=[[Linear]],
				end_relative={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=4,},
				end_type=[[end_relative]],
				excutor=[[atkobj]],
				look_at_pos=true,
				move_time=0.2,
				move_type=[[line]],
			},
			func_name=[[Move]],
			start_time=0,
		},
		[3]={args={},func_name=[[MagcAnimStart]],start_time=0,},
		[4]={args={alive_time=0.5,},func_name=[[Name]],start_time=0,},
		[5]={
			args={sound_path=[[Magic/sound_magic_41202_1.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=0,
		},
		[6]={
			args={sound_path=[[Magic/sound_magic_41202_0.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=0.01,
		},
		[7]={
			args={action_name=[[attack2]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0.19,
		},
		[8]={
			args={
				alive_time=0.5,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_307/Prefabs/307_attack2_2.prefab]],
					preload=true,
				},
				effect_dir_type=[[backward]],
				effect_pos={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=2,},
				excutor=[[vicobj]],
			},
			func_name=[[StandEffect]],
			start_time=1.12,
		},
		[9]={
			args={
				alive_time=1.5,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_307/Prefabs/307_attack2.prefab]],
					preload=true,
				},
				effect_dir_type=[[backward]],
				effect_pos={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=2,},
				excutor=[[vicobj]],
			},
			func_name=[[StandEffect]],
			start_time=1.12,
		},
		[10]={
			args={
				alive_time=2,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_307/Prefabs/307_hit2.prefab]],
					preload=true,
				},
				effect_dir_type=[[empty]],
				effect_pos={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[vicobjs]],
			},
			func_name=[[StandEffect]],
			start_time=1.32,
		},
		[11]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=1.42,
		},
		[12]={
			args={
				alive_time=0.2,
				ease_hide_time=0,
				ease_show_time=0,
				excutor=[[vicobjs]],
				mat_path=[[Material/effect_Fresnel_Green01.mat]],
			},
			func_name=[[ActorMaterial]],
			start_time=1.47,
		},
		[13]={args={},func_name=[[MagcAnimEnd]],start_time=2.3,},
		[14]={args={},func_name=[[End]],start_time=2.42,},
	},
	group_cmds={},
	magic_anim_end_time=2.3,
	magic_anim_start_time=0,
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_307/Prefabs/307_attack2_2.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_307/Prefabs/307_attack2.prefab]],
		[3]=[[Effect/Magic/magic_eff_new_307/Prefabs/307_hit2.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
